Bug 961780 - [RFE] CLI add '--content_view' option to several commands
[RFE] CLI add '--content_view' option to several commands
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
low Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Hayk Hovsepyan
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 07:24 EDT by Hayk Hovsepyan
Modified: 2014-04-24 13:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-05-10 07:24:42 EDT
Description of problem:
We need '--content_view', '--content_view_label' and '--content_view_id' options added for several commands:
repo info
package info
repo list
product list

Like it is done is bug: https://bugzilla.redhat.com/show_bug.cgi?id=754934

Missing of these options breaks a lot of tests after changeset changes got merged.
Comment 1 Justin Sherrill 2013-05-15 15:13:46 EDT
Not sure that repo info and package info needs --content_view option.  

Wonder if we should add:

content_view repo list
content_view product list

instead of augmenting repo list and product list
Comment 8 Hayk Hovsepyan 2013-09-30 10:10:38 EDT
David, as before content views were added, "repo list --environment" was showing repos promoted to environment, and now, as the content view is the only way to promote repo to environment, I requested this bug to be able to check list of repos promoted to environment by particular content view.
The same for all the mentioned above commands, all of them have "--environment" option to get info (or list it) in particular environment to check is object promoted there or not. And now after content views are added, these commands does not work properly with "--environment" option.
Comment 9 David Davis 2013-09-30 10:37:12 EDT
I see. Thank you Hayk.
Comment 10 David Davis 2013-09-30 15:25:01 EDT
It looks like there is an ongoing github issue that partha is working on:

https://github.com/Katello/katello/issues/2811

Reassigning to partha.
Comment 11 Garik Khachikyan 2013-10-11 04:57:08 EDT
@Partha: ping, please.
Comment 12 David Davis 2013-10-15 14:39:43 EDT
Partha's really busy w/ 1.4. I'll try to take a look at actually doing this and just ping Partha with my questions.
Comment 13 David Davis 2013-10-16 12:27:00 EDT
Here are the PRs for the repo commands:

https://github.com/Katello/katello/pull/3194

https://github.com/Katello/katello-cli/pull/111

More to come.
Comment 14 David Davis 2013-10-16 14:03:08 EDT
The package info command seems to support content_view already:

Usage:  katello options package info options

Options:
  -h, --help            show this help message and exit
  --id=ID               package ID, string value (required)
  --repo_id=REPO_ID     repository ID
  --repo=REPO           repository name (required)
  --org=ORG             name of organization e.g.: ACME_Corporation (required)
  --environment=ENVIRONMENT
                        environment name e.g.: production (default: Library)
  --product=PRODUCT     product name e.g.: "Red Hat Enterprise Linux Server"
  --product_label=PRODUCT_LABEL
                        product label e.g.: "Red_Hat_Enterprise_Linux_Server"
  --product_id=PRODUCT_ID
                        product id e.g.: "12361467"
  --content_view=VIEW_NAME
                        content view name eg: database
  --content_view_label=VIEW_LABEL
                        content view label eg: database
  --content_view_id=VIEW_ID
                        content view id eg: 6
  -g                    grep friendly output
  -v                    verbose, more structured output
  -d DELIMITER          column delimiter in grep friendly output, works only
                        with option -g
  --noheading           Suppress any heading output. Useful if grepping the
                        output.
Comment 15 David Davis 2013-10-16 14:04:56 EDT
After talking with Partha, I've changed "k product list" to only show the products in Library. Content views don't contain products (even though their repos do) so we can't tell which products a view has--only which repos it has. Therefore we can only show products in Library.
Comment 16 David Davis 2013-10-21 10:44:04 EDT
katello-cli

dfad2f2361b2e5b80a48f7642931c21a767bc481
961780: Support content_view_id for repositories action

15e6dfc7088d74632e0b1e76f0544ec2c57463f1
961780: Fixing product list by removing environment option


katello

08cdd0aa460aa256fd365b3ff6d4057f64e4df82
961780: Adding content_view options to repo commands
Fixes Katello/katello#2811.

cc5f72e198f73545ba9c8c2026a07bdf0ea9b63d
961780: Fixing product list by removing environment option
Comment 19 Hayk Hovsepyan 2013-10-23 08:41:54 EDT
Verified on version:
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
foreman-postgresql-1.3.0-19.el6sat.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
openldap-2.4.23-31.el6.x86_64
pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-glue-candlepin-1.4.6-44.el6sat.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Katello-Katello-Configuration-KatelloClient-1.1-53.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-13.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
foreman-1.3.0-19.el6sat.noarch
katello-cli-common-1.4.3-26.el6sat.noarch
pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-server-2.3.0-0.22.beta.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-elasticsearch-1.4.6-44.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-1.4.6-44.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-all-1.4.6-44.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.22.beta.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-9.noarch
katello-cli-1.4.3-26.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-configure-1.4.7-7.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
candlepin-0.8.25-1.el6sam.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
katello-common-1.4.6-44.el6sat.noarch
katello-glue-pulp-1.4.6-44.el6sat.noarch
katello-foreman-all-1.4.6-44.el6sat.noarch
candlepin-cert-consumer-demeter.usersys.redhat.com-1.0-1.noarch
signo-0.0.23-2.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

New options are added and working correctly.
Comment 22 Bryan Kearney 2014-04-24 13:09:16 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 23 Bryan Kearney 2014-04-24 13:10:48 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.